Products
Create a product
POST
/
products
Create a product
curl --request POST \
--url https://app.paperlink.online/api/v1/products \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"unitPrice": 1,
"currency": "<string>",
"description": "<string>",
"sku": "<string>",
"taxRate": 50,
"type": "<string>",
"unitOfMeasure": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
unitPrice: 1,
currency: '<string>',
description: '<string>',
sku: '<string>',
taxRate: 50,
type: '<string>',
unitOfMeasure: '<string>'
})
};
fetch('https://app.paperlink.online/api/v1/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.paperlink.online/api/v1/products"
payload = {
"name": "<string>",
"unitPrice": 1,
"currency": "<string>",
"description": "<string>",
"sku": "<string>",
"taxRate": 50,
"type": "<string>",
"unitOfMeasure": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"unitPrice": 123,
"currency": "<string>",
"description": "<string>",
"sku": "<string>",
"taxRate": 123,
"type": "<string>",
"unitOfMeasure": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"details": "<unknown>"
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"details": "<unknown>"
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"details": "<unknown>"
}
}Authorizations
API key from Settings > Integrations > API Keys
Headers
Unique key for idempotent requests
Body
application/json
Maximum string length:
255Required range:
x >= 0Required string length:
3Maximum string length:
2000Maximum string length:
100Required range:
0 <= x <= 100Maximum string length:
50Maximum string length:
50Response
Product created
Show child attributes
Show child attributes
⌘I
Create a product
curl --request POST \
--url https://app.paperlink.online/api/v1/products \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"unitPrice": 1,
"currency": "<string>",
"description": "<string>",
"sku": "<string>",
"taxRate": 50,
"type": "<string>",
"unitOfMeasure": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
unitPrice: 1,
currency: '<string>',
description: '<string>',
sku: '<string>',
taxRate: 50,
type: '<string>',
unitOfMeasure: '<string>'
})
};
fetch('https://app.paperlink.online/api/v1/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.paperlink.online/api/v1/products"
payload = {
"name": "<string>",
"unitPrice": 1,
"currency": "<string>",
"description": "<string>",
"sku": "<string>",
"taxRate": 50,
"type": "<string>",
"unitOfMeasure": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"unitPrice": 123,
"currency": "<string>",
"description": "<string>",
"sku": "<string>",
"taxRate": 123,
"type": "<string>",
"unitOfMeasure": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"details": "<unknown>"
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"details": "<unknown>"
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"details": "<unknown>"
}
}
